bookmarks file path is outdated

Bug #1425714 reported by Ryan Tandy on 2015-02-25
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
unity-lens-files
High
Unassigned
unity-lens-files (Ubuntu)
High
Unassigned

Bug Description

Since Raring, bookmarks are now stored in ~/.config/gtk-3.0/bookmarks, while unity-lens-files still looks in ~/.bookmarks. Updating the path seems to be the only change needed to restore the old behaviour.

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: unity-lens-files 7.1.0+13.10.20130920-0ubuntu1
ProcVersionSignature: Ubuntu 3.18.0-13.14-generic 3.18.5
Uname: Linux 3.18.0-13-generic x86_64
ApportVersion: 2.16.1-0ubuntu2
Architecture: amd64
CasperVersion: 1.351
CurrentDesktop: Unity
Date: Wed Feb 25 21:53:21 2015
LiveMediaBuild: Ubuntu 15.04 "Vivid Vervet" - Alpha amd64 (20150225)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: unity-lens-files
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Ryan Tandy (rtandy) wrote :
tags: added: rls-x-incoming
Changed in unity-lens-files (Ubuntu):
importance: Undecided → High
status: New → In Progress
Sebastien Bacher (seb128) wrote :

Thanks, and sorry for the delay reviewing that. The change seems correct, but was is the "previous behaviour" exactly?

Changed in unity-lens-files:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Ryan Tandy (rtandy)
Changed in unity-lens-files (Ubuntu):
assignee: nobody → Ryan Tandy (rtandy)

Hi,

On Mon, Dec 14, 2015 at 05:16:15PM -0000, Sebastien Bacher wrote:
>Thanks, and sorry for the delay reviewing that. The change seems
>correct, but was is the "previous behaviour" exactly?

I believe so, but I've changed jobs and don't currently have an Ubuntu
desktop around to test with, so can't say for sure until I find some
time to download the relevant liveCDs again.

FWIW, I put that patch into production (~8000 users) at the same time as
I opened the MP, and never had any more complaints about it, i.e. they
were able to resume working as they had under 12.04. No obvious
regressions in terms of the file format having changed, some entries
having gone missing, or anything like that.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-files - 7.1.0+16.04.20151216.1-0ubuntu1

---------------
unity-lens-files (7.1.0+16.04.20151216.1-0ubuntu1) xenial; urgency=medium

  [ Ryan Tandy ]
  * Update the path to the bookmarks file. (LP: #1425714)

  [ Sebastien Bacher ]
  * Build with the current gee version (LP: #1502094)

 -- Sebastien Bacher <email address hidden> Wed, 16 Dec 2015 15:47:14 +0000

Changed in unity-lens-files (Ubuntu):
status: In Progress → Fix Released
Amr Ibrahim (amribrahim1987) wrote :

What about Trusty? Is it affected by this bug?

Ryan Tandy (rtandy) wrote :

On Fri, Dec 18, 2015 at 03:33:45PM -0000, Amr Ibrahim wrote:
>What about Trusty? Is it affected by this bug?

Yes.

Ryan Tandy (rtandy) on 2015-12-24
Changed in unity-lens-files:
assignee: Ryan Tandy (rtandy) → nobody
Changed in unity-lens-files (Ubuntu):
assignee: Ryan Tandy (rtandy) → nobody
tags: added: trusty
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers